Create a course evaluation question
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_question",
"attributes": {
"question": "How would you rate this course overall?",
"description": "<string>",
"position": 123,
"required": true,
"allows_not_applicable": true,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": true,
"config": "<unknown>",
"question_tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_questions"
payload = { "data": {
"type": "course_evaluation_question",
"attributes": {
"question": "How would you rate this course overall?",
"description": "<string>",
"position": 123,
"required": True,
"allows_not_applicable": True,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": True,
"config": "<unknown>",
"question_tag_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_question',
attributes: {
question: 'How would you rate this course overall?',
description: '<string>',
position: 123,
required: true,
allows_not_applicable: true,
not_applicable_label: '<string>',
benchmark: 123,
counts_toward_section_score: true,
config: '<unknown>',
question_tag_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"question": "How would you rate this course overall?",
"kind": "text",
"description": "<string>",
"position": 123,
"required": true,
"allows_not_applicable": true,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": true,
"config": "<unknown>",
"question_tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {
"section": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question_set_section",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question_responses": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"question_tags": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Questions
Create a course evaluation question
POST
/
api
/
v1
/
course_evaluation_questions
Create a course evaluation question
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_question",
"attributes": {
"question": "How would you rate this course overall?",
"description": "<string>",
"position": 123,
"required": true,
"allows_not_applicable": true,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": true,
"config": "<unknown>",
"question_tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_questions"
payload = { "data": {
"type": "course_evaluation_question",
"attributes": {
"question": "How would you rate this course overall?",
"description": "<string>",
"position": 123,
"required": True,
"allows_not_applicable": True,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": True,
"config": "<unknown>",
"question_tag_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_question',
attributes: {
question: 'How would you rate this course overall?',
description: '<string>',
position: 123,
required: true,
allows_not_applicable: true,
not_applicable_label: '<string>',
benchmark: 123,
counts_toward_section_score: true,
config: '<unknown>',
question_tag_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"question": "How would you rate this course overall?",
"kind": "text",
"description": "<string>",
"position": 123,
"required": true,
"allows_not_applicable": true,
"not_applicable_label": "<string>",
"benchmark": 123,
"counts_toward_section_score": true,
"config": "<unknown>",
"question_tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {
"section": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question_set_section",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question_responses": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"question_tags": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation question created
Show child attributes
Show child attributes
⌘I